Bug 150249 - Crash in Fontworks applying style after undo
Summary: Crash in Fontworks applying style after undo
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.3.0.3 release
Hardware: x86-64 (AMD64) All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:7.5.0 target:7.3.6 target:7.4.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2022-08-03 13:56 UTC by Mike Young
Modified: 2022-08-05 09:54 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: https://crashreport.libreoffice.org/stats/crash_details/50116475-3729-4d41-9d96-d0d4a357ea79
Regression By: Caolán McNamara


Attachments
video (698.38 KB, video/webm)
2022-08-03 21:14 UTC, raal
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Young 2022-08-03 13:56:47 UTC
Open LibreOffice Draw (empty document)
Select Insert Fontworks Text (blue F) and choose the "Outline" style
Select Properties in the Fontworks toolbar
Under Fontwork, click the leftmost dropdown (the A with curved line under it)
Select one of the styles (e.g. 'Arch Up')
From the edit menu select Undo Apply Fontwork Shape
Select a different style (e.g. 'Chevron')
The text appears briefly in the new style, then LibreOffice crashes.

Workaround is to just select a different shape without using Undo first.

Crash reports:
7.3.0.3
https://crashreport.libreoffice.org/stats/crash_details/c0b03e2c-a373-4140-bd48-62d77f137585
https://crashreport.libreoffice.org/stats/crash_details/4dbc595c-e72c-42b9-b60d-15399461dd06
7.3.4.2
https://crashreport.libreoffice.org/stats/crash_details/d4ff0118-bea3-4ce7-9699-3a2a67a68b40
https://crashreport.libreoffice.org/stats/crash_details/50116475-3729-4d41-9d96-d0d4a357ea79
Comment 1 raal 2022-08-03 14:46:10 UTC
Confirm with Version: 7.5.0.0.alpha0+ / LibreOffice Community
Build ID: 3ccbfaaf95005a34ca64ad250463ef5ce8842f43
CPU threads: 4; OS: Linux 5.15; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded
Comment 2 raal 2022-08-03 14:48:29 UTC
no crash in Version: 6.4.0.0.alpha1+
Build ID: 9bc848cf0d301aa57eabcffa101a1cf87bad6470
Comment 3 raal 2022-08-03 15:01:37 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one?
Thanks
 b7ba311e840043c63f8c2cb38b7f5bb8b47af6b8 is the first bad commit
commit b7ba311e840043c63f8c2cb38b7f5bb8b47af6b8
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Nov 23 17:49:17 2021 +0100

    source sha:f5137ed5453661d21e85ecb94a08cfccae899ca1

https://git.libreoffice.org/core/+/f5137ed5453661d21e85ecb94a08cfccae899ca1
Comment 4 Caolán McNamara 2022-08-03 19:41:03 UTC
I can't seem to reproduce with either gtk3 or with a windows build. From the crash reports it might be that the toolbar is somehow gone by the time some status update arrives. Is the fontworks toolbar a "floating" one appearing in its own toplevel utility window, or is it the more normal case where it is attached to the main window?
Comment 5 raal 2022-08-03 21:14:08 UTC
Created attachment 181573 [details]
video

Hello Caolán, see attached video.
Comment 6 Caolán McNamara 2022-08-04 08:04:41 UTC
ah, from the *sidebar*, now I get it
Comment 7 Commit Notification 2022-08-04 14:29:39 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d84f7217b25bd3766497b17a8e057e3cbf4c8db8

tdf#150249 close of popover not detected

It will be available in 7.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2022-08-04 14:30:50 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/dd7015ed5fc2eedf3b14278d55ddf29a50214542

tdf#150249 close of popover not detected

It will be available in 7.3.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2022-08-04 14:31:01 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-4":

https://git.libreoffice.org/core/commit/400caafbc169860f6511b8b270843089206966c4

tdf#150249 close of popover not detected

It will be available in 7.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 appgeek1124 2022-08-05 04:46:37 UTC Comment hidden (spam)